import dynamix_sdk.base as _base


class CloudapiComputeSnapshotCreateResultStr(_base.BaseAPIResultStr):
    pass


class CloudapiComputeSnapshotCreateProtocol(_base.BasePostAPIFunctionProtocol):
    def snapshot_create(
        self,
        *,
        vm_id: int,
        label: str,
    ) -> CloudapiComputeSnapshotCreateResultStr:
        ...
